Lucene search

K
nvd[email protected]NVD:CVE-2022-43667
HistoryDec 07, 2022 - 4:15 a.m.

CVE-2022-43667

2022-12-0704:15:10
CWE-787
web.nvd.nist.gov
cve-2022-43667
buffer overflow
cx-programmer
information disclosure
arbitrary code execution
specially crafted file

CVSS3

7.8

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

EPSS

0.001

Percentile

47.3%

Stack-based buffer overflow vulnerability exists in CX-Programmer v.9.77 and earlier, which may lead to information disclosure and/or arbitrary code execution by having a user to open a specially crafted CXP file.

Affected configurations

NVD
Node
omroncx-programmerRange9.77

CVSS3

7.8

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

EPSS

0.001

Percentile

47.3%

Related for NVD:CVE-2022-43667